[android-components](../../../index.md) / [mozilla.components.browser.state.action](../../index.md) / [ReaderAction](../index.md) / [UpdateReaderConnectRequiredAction](./index.md)

# UpdateReaderConnectRequiredAction

`data class UpdateReaderConnectRequiredAction : `[`ReaderAction`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/state/src/main/java/mozilla/components/browser/state/action/BrowserAction.kt#L612)

Updates the [ReaderState.connectRequired](../../../mozilla.components.browser.state.state/-reader-state/connect-required.md) flag.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UpdateReaderConnectRequiredAction(tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, connectRequired: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)`)`<br>Updates the [ReaderState.connectRequired](../../../mozilla.components.browser.state.state/-reader-state/connect-required.md) flag. |

### Properties

| Name | Summary |
|---|---|
| [connectRequired](connect-required.md) | `val connectRequired: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
| [tabId](tab-id.md) | `val tabId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
